Bug 91675 - RFE: Test Suite for linux
RFE: Test Suite for linux
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://linux-diag.sourceforge.net/rep...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-26 21:57 EDT by acount closed by user
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 19:26:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2003-05-26 21:57:17 EDT
Description of problem:

In rh linux there isn't no test suite like SUNvts
http://www.sun.com/oem/products/vts/
to test hardware. http://linux-diag.sourceforge.net/repository.html
has a lot of good links. I think that:
o cpuburn (for CPU itself, cooling system, motherboard[especially voltage
regulators] and power supply)
o Memtest86 and some more from cts_cerberus like memtst for memory
o ttcp is good for net, but netpipe are better http://www.scl.ameslab.gov/netpipe/
o dt http://www.bit-net.com/~rmiller/dt.html or scu
http://www.bit-net.com/~rmiller/scu.html for scsi
o .... 

they are very necessary at enterprise OS.

-thanks-

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Doncho N. Gunchev 2004-05-29 18:55:47 EDT
    Memtest86+ is in FC2 now, but I would like to have httperf - 
http://www.hpl.hp.com/personal/David_Mosberger/httperf.html. It would
also be nice to have something like 'SiSoft SANDRA' - GUI/TUI that
runs many tests which can let us tune a server easily.
Comment 2 acount closed by user 2004-11-08 19:26:22 EST
for FC extras/alternatives, closing...

Note You need to log in before you can comment on or make changes to this bug.